<?php
// This file is part of Moodle - https://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <https://www.gnu.org/licenses/>.

/**
 * Strings for component 'forum', language 'en_wp', version '3.0'.
 *
 * @package     forum
 * @category    string
 * @copyright   1999 Martin Dougiamas and contributors
 * @license     https://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['blockperiod_help'] = 'Learners can be blocked from posting more than a given number of posts in a given time period. Users with the capability mod/forum:postwithoutthrottling are exempt from post limits.';
$string['cannotaddteacherforumto'] = 'Could not add converted trainer forum instance to section 0 in the course';
$string['cannotcreateinstanceforteacher'] = 'Could not create new course module instance for the trainer forum';
$string['completiondiscussions'] = 'Learner must create discussions:';
$string['completionposts'] = 'Learner must post discussions or replies:';
$string['completionreplies'] = 'Learner must post replies:';
$string['disallowsubscribeteacher'] = 'Subscriptions not allowed (except for trainers)';
$string['forumtype_help'] = 'There are 5 forum types:

* A single simple discussion - A single discussion topic which everyone can reply to (cannot be used with separate groups)
* Each person posts one discussion - Each learner can post exactly one new discussion topic, which everyone can then reply to
* Q and A forum - Learners must first post their perspectives before viewing other learners\' posts
* Standard forum displayed in a blog-like format - An open forum where anyone can start a new discussion at any time, and in which discussion topics are displayed on one page with "Discuss this topic" links
* Standard forum for general use - An open forum where anyone can start a new discussion at any time';
$string['introteacher'] = 'A forum for trainer-only notes and discussion';
$string['modulename_help'] = 'The forum activity module enables participants to have asynchronous discussions i.e. discussions that take place over an extended period of time.

There are several forum types to choose from, such as a standard forum where anyone can start a new discussion at any time; a forum where each learner can post exactly one discussion; or a question and answer forum where learners must first post before being able to view other learners\' posts. A trainer can allow files to be attached to forum posts. Attached images are displayed in the forum post.

Participants can subscribe to a forum to receive notifications of new forum posts. A trainer can set the subscription mode to optional, forced or auto, or prevent subscription completely. If required, learners can be blocked from posting more than a given number of posts in a given time period; this can prevent individuals from dominating discussions.

Forum posts can be rated by trainers or learners (peer evaluation). Ratings can be aggregated to form a final grade which is recorded in the gradebook.

Forums have many uses, such as

* A social space for learners to get to know each other
* For course announcements (using a news forum with forced subscription)
* For discussing course content or reading materials
* For continuing online an issue raised previously in a face-to-face session
* For trainer-only discussions (using a hidden forum)
* A help centre where tutors and learners can give advice
* A one-on-one support area for private learner-trainer communications (using a forum with separate groups and with one learner per group)
* For extension activities, for example ‘brain teasers’ for learners to ponder and suggest';
$string['nameteacher'] = 'Trainer forum';
$string['timedhidden'] = 'Timed status: Hidden from learners';
$string['warnafter_help'] = 'Learners can be warned as they approach the maximum number of posts allowed in a given period. This setting specifies after how many posts they are warned. Users with the capability mod/forum:postwithoutthrottling are exempt from post limits.';
